commit 1e37dd13d9f50812961edaefa7be97954946710e
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-07-25 13:56:49 +0800

    Update NEWS

M	NEWS

commit 30d07aa285a896c7b0b25cff3a242ebc374421a0
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-07-25 13:55:56 +0800

    Bump version 1.15.8

M	configure.ac

commit f6c0271964fb821c800ef1a5c452dedc0c48b679
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-05-27 12:12:21 +0800

    Update opencc-config to use s2tw.json

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit a1aad11c16d95be9e6660bcc89007af5395634fc
Author: Shun Wang <shuonwang@gmail.com>
Date:   2024-04-28 21:42:39 +0800

    Update the Copyright year in setup dialog

M	po/ca.po
M	po/cs.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/ibus-libpinyin.pot
M	po/ka.po
M	po/pt_BR.po
M	po/ru.po
M	po/si.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	setup/ibus-libpinyin-preferences.ui
M	setup/main2.py

commit 49bb44333c8128b3d987d7b5f41263280e5a3d7b
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-04-10 13:45:59 +0800

    Fix lua plugin

M	lua/lua-plugin-init.c

commit f9df7676987e71855b41728a8168e1c5665d01b2
Author: Titor8115 <henryl8115@gmail.com>
Date:   2024-02-17 10:55:06 +0800

    GtkDialog "type-hint" changed to dialog
    
    the dialog window should be hinted as dialog so window managers such as tiling wm is able to know the approprate window state

M	setup/ibus-libpinyin-preferences.ui

commit 1a0dd87cbb49511ef52f03153daa99ce6fa0c3bd
Author: Damien Pou <dampato+linux@ik.me>
Date:   2024-01-16 14:37:08 +0100

    Translated using Weblate (French)
    
    Currently translated at 100.0% (167 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/fr/

M	po/fr.po

commit d88c0a3011f6dfa587e768f2ce7e024d843727c8
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-01-31 10:01:42 +0800

    Update NEWS

M	NEWS

commit 1c69ff8d50adee23c9cc45f4b59977efa53ac9fc
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-01-31 09:58:24 +0800

    Bump version 1.15.7

M	configure.ac

commit 312d3908da8dc50b27b2100152beff73a8bef534
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-01-31 09:52:08 +0800

    Fix getRequestString method

M	src/PYPCloudCandidates.cc

commit f91bbc04cd0ac0651575c8964e8ed6fc585eafe2
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-01-30 17:37:51 +0800

    Fix processKeyEvent methods again

M	src/PYEditor.cc
M	src/PYEnglishEditor.cc
M	src/PYExtEditor.cc
M	src/PYFallbackEditor.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPinyinEditor.cc
M	src/PYPSuggestionEditor.cc
M	src/PYPunctEditor.cc
M	src/PYTableEditor.cc

commit 5fe4e0f08cf1bf4199900d35383eacee197c08a7
Author: Peng Wu <alexepico@gmail.com>
Date:   2024-01-26 10:52:20 +0800

    Fix processKeyEvent method

M	src/PYPBopomofoEditor.cc

commit cf33a2c289f7676a36954bdcf700a9d0086d6886
Author: Florian Weimer <fweimer@redhat.com>
Date:   2024-01-21 14:35:27 +0100

    Lua plugin: Add pointer casts for C89 compatibility
    
    This addresses a build failure with GCC 14.

M	lua/lua-plugin-init.c

commit f19b22952c084823e68fea61c9125fe41c224c2a
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-12-15 12:26:42 +0800

    Update NEWS

M	NEWS

commit 54567daeccce435cc796da5706e413ae8ac98f42
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-12-15 12:25:33 +0800

    Bump version 1.15.6

M	configure.ac

commit 48269b7667a124af29d41f2be4e21a00e2f3fa80
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-12-06 12:01:34 +0800

    Fix processAccelKeyEvent method

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit fb2ace4ba4cace96e10d85970c42a7ebc04070ae
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-11-27 14:12:27 +0800

    Bump version 1.15.5

M	configure.ac

commit d393aa7d088fab8b5a07250d80d4f0e9ee4040d1
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-11-27 14:10:21 +0800

    Update NEWS

M	NEWS

commit 850274a6b1e34df4dcfd2911cf1a2b23ca0b72ac
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-09-27 12:02:49 +0800

    Fix class LibPinyinBackEnd

M	src/PYLibPinyin.cc

commit fbeefffb66a88dc95902f3683e62e5c6e39e6ce5
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-09-26 11:14:35 +0800

    Update libpinyin.appdata.xml

M	data/libpinyin.appdata.xml

commit a4135b9cc686f2c269d535dba2602ebd112aca75
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2023-07-28 18:21:06 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (167 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/de/

M	po/de.po

commit 80c949e9d6a2c2bb6bd486ff25ed7da7801ecc60
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-09-04 12:56:24 +0800

    Update NEWS

M	NEWS

commit 14f03c819a8daf82a0e09caadf69930b6d9bb803
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-08-28 09:32:08 +0800

    Update network.txt again

M	data/network.txt

commit 0f1a5b62493f115c36f63571763835818343d5a0
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-08-24 14:26:05 +0800

    Update network.txt

M	data/network.txt

commit f2dbbc238c008f20285536866ff5b5f931299eda
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-08-23 15:26:15 +0800

    Fix Caps Lock for English mode

M	src/PYPPinyinEngine.cc

commit f67adf924e4a9cc3b06c30ede8602bd0931798d7
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-07-17 16:18:51 +0800

    Update make-check.yml

M	.github/workflows/make-check.yml

commit 7540cc2da6fa0e284bd3123199934fbb2d7d7f33
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-06-16 12:19:31 +0800

    Port ibus-libpinyin to use libsoup3

M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h

commit 2769ae5534a4a6c0480270ca1c42777a03eb7ab3
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-06-16 12:19:02 +0800

    Bump version 1.15.4

M	configure.ac

commit 60cfb354472ac56072b65f54a114c5630ca98426
Author: grimst <grimaitres@gmail.com>
Date:   2023-05-31 07:20:45 +0200

    Translated using Weblate (French)
    
    Currently translated at 98.2% (164 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/fr/

M	po/fr.po

commit 6bd6a5388525b96577db0eabbf85c344345c7da5
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   2023-05-31 07:20:45 +0200

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 50.8% (85 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/pt_BR/

M	po/pt_BR.po

commit 6678170748576c0ecfdbf7dd13134aa8518b594b
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   2023-05-31 07:20:44 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 94.6% (158 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/es/

M	po/es.po

commit 94fe103246750d40b613e51640250d1af4cbfa3b
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   2023-05-31 07:20:44 +0200

    Translated using Weblate (Georgian)
    
    Currently translated at 56.8% (95 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/ka/
    
    Translated using Weblate (Georgian)
    
    Currently translated at 56.2% (94 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/ka/
    
    Translated using Weblate (Georgian)
    
    Currently translated at 53.2% (89 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/ka/
    
    Translated using Weblate (Georgian)
    
    Currently translated at 43.1% (72 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/ka/
    
    Translated using Weblate (Georgian)
    
    Currently translated at 42.5% (71 of 167 strings)
    
    Translation: ibus-libpinyin/main
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/main/ka/
    
    Added translation using Weblate (Georgian)

M	po/LINGUAS
A	po/ka.po

commit c68cf2afda47cf8aca35178072d0770e22254e46
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-06-01 10:39:44 +0800

    Update NEWS

M	NEWS

commit 240348e4b6bfd531e959b8f91f76b1e7acc7c70a
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-05-26 13:05:30 +0800

    Fix FullPinyinEditor::insert method

M	src/PYPFullPinyinEditor.cc

commit 78b57203ff1788908d1ef0a55fa4c2c5ca98fd37
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-05-24 09:38:13 +0800

    Bump version 1.15.3

M	configure.ac

commit 82e7cb0d8e00720a3abfb833327e37ee132016be
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-04-07 12:07:12 +0800

    Fix English mode in Full Pinyin

M	src/PYEnglishEditor.h
M	src/PYPPinyinEngine.cc

commit efd72e9b24632eb528b9b4cd4a0dc71364e1708e
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-03-07 14:36:08 +0800

    Update NEWS

M	NEWS

commit e29f9a0a241f63875933fb1f266ce1bbe35fa45e
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-03-07 14:34:40 +0800

    Bump version 1.15.2

M	configure.ac

commit 50ecf33a932a93e3432e8359bbc15ff21f89266a
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-03-06 13:57:00 +0800

    Update english.awk

M	data/english.awk

commit 96042887815b4700c7cafa64cf88942af438ea98
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   2023-02-24 13:38:56 +0100

    build: fix awk scripts to work properly when used againts sqlite 3.41.0
    
    The SQL standard requires double-quotes around identifiers and
    single-quotes around string literals. For example:
    
        "this is a legal SQL column name"
        'this is an SQL string literal'
    
    With sqlite 3.41.0, this is being enforced on the CLI

M	data/english.awk
M	data/table.awk

commit 80bab3368b692acc25957e2649568fda640c4356
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-02-21 09:07:29 +0800

    Update NEWS

M	NEWS

commit 015b17a0ad9eebfe5532c1031148c64dccd372b1
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-02-21 09:06:49 +0800

    Bump version 1.15.1

M	configure.ac

commit 7a7c547a312b00e8e28dde2b010e0db027637162
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-01-31 09:55:23 +0800

    Fix PinyinEditor::processNumber method

M	src/PYPPinyinEditor.cc

commit 95abb11ee598169fcc329c8055ea31fc57a047f7
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-01-03 17:34:10 +0800

    Update NEWS

M	NEWS

commit 485efb9522a377b9c0bfe93720c1f33e5e3f1685
Author: Peng Wu <alexepico@gmail.com>
Date:   2023-01-03 17:32:43 +0800

    Bump version 1.15.0

M	configure.ac

commit d948bf58ddb39da8a6988962a73ba1f6dbf238fa
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-11-24 18:23:46 +0800

    Fix English symbols

M	src/PYEnglishEditor.h
M	src/PYPPinyinEngine.cc

commit f7cdfd73867ad85f97eb87dced5ca32be4e99ab3
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-11-18 15:04:22 +0800

    Use Fedora rawhide container image

M	.github/workflows/make-check.yml

commit 56ba7839c3794f7ec22c38e5c3e78bd0443efc7a
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-10-28 11:19:14 +0800

    Bump version 1.14.92

M	configure.ac

commit ec4a563617272e2d1741069492dd3351618eaf9d
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-10-26 15:20:44 +0800

    Fix SuggestionEditor::candidateClicked method

M	src/PYPSuggestionEditor.cc

commit 6f90b44df7126506c2162bce3b58b1c8ff9851c7
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-10-12 15:15:13 +0800

    Update updatePreeditText method for Legacy mode

M	src/PYPPinyinEditor.cc

commit 0fe1edb310b9aaffbd7e02b3a57ecec89c955891
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-10-12 15:02:48 +0800

    Update NEWS

M	NEWS

commit 3d8d297a6fc427ff5f688ca3c5df6e5ce1c344db
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-10-12 14:57:40 +0800

    Update configure.ac

M	configure.ac

commit d7217bcfa7cf24dfda0ef5bc3c0c0fe000d2f806
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-10-09 13:32:26 +0800

    Add updateAll method to class Editor

M	src/PYEditor.cc
M	src/PYEditor.h
M	src/PYEnglishEditor.cc
M	src/PYEnglishEditor.h
M	src/PYExtEditor.cc
M	src/PYExtEditor.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYTableEditor.cc
M	src/PYTableEditor.h

commit eb6b45f7a4cd52fdbe23e0539e5119b43f7a281a
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-26 14:30:18 +0800

    Bump version 1.14.91

M	configure.ac

commit 13181349a6a481bcf3898a4f41178dafe25a79f8
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-26 14:25:43 +0800

    Support Legacy mode

M	src/PYPConfig.cc
M	src/PYPLibPinyinCandidates.cc
M	src/PYPPhoneticEditor.cc

commit d88ecd60db2942ca05d21b65158d257568556d27
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-26 14:24:09 +0800

    Update setup dialog

M	setup/ibus-libpinyin-preferences.ui

commit b43c17a148e467e7177ee03f146269c7e8de6032
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-26 12:21:15 +0800

    Improve longer candidates

M	src/PYPCloudCandidates.cc
M	src/PYPEmojiCandidates.cc
M	src/PYPEnglishCandidates.cc
M	src/PYPLibPinyinCandidates.cc
M	src/PYPLuaTriggerCandidates.cc

commit e856577e1d77719d6001db79f3149e1f537d0aaf
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-23 16:40:24 +0800

    Update m_sort_option variable

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit abd006be68be04509801ca5ff52d759f9d21c724
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-23 16:33:49 +0800

    Improve Suggestion candidates

M	src/PYPEnhancedCandidates.h
M	src/PYPSuggestionCandidates.cc
M	src/PYPSuggestionEditor.cc

commit 98f7e43b3bfe69f6cbcd2e7c2479c8cac503f580
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-23 16:19:10 +0800

    Support longer candidates

M	src/PYPEnhancedCandidates.h
M	src/PYPLibPinyinCandidates.cc
M	src/PYPPhoneticEditor.cc

commit 38e61f5b2164996244280a92d40b84ad6f54a457
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-23 12:55:49 +0800

    Improve English candidates

M	src/PYPEnglishCandidates.cc

commit b641bd0881edfc975f997dca5305326ac1fbf5f0
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-15 12:12:03 +0800

    bump version 1.13.1

M	configure.ac

commit c1c0a2b9020ac70bf6487197251dbf210a05ed67
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-15 11:35:49 +0800

    Update NEWS

M	NEWS

commit ac6681b860583fafeb8e4593aac97f93328bd882
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-09-09 16:40:10 +0800

    Fix gettext usage

M	setup/main2.py

commit 2cc7ad11be7c60aac27ca05d297a56144714331a
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-08-20 10:22:26 +0800

    Update NEWS

M	NEWS

commit 86a5da9fcb5157523049c0fdd28a9dc894b4e469
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-08-20 10:19:57 +0800

    bump version 1.13.0

M	configure.ac

commit 442967878e8b791c8fe12908f6a9e1dc6ed16c82
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-08-11 09:46:43 +0800

    Update NEWS

M	NEWS

commit 345a778f867a3421a6d7b2581758e2e23d0748d5
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-08-10 14:27:15 +0800

    bump version 1.12.92

M	configure.ac

commit fa548f562a97a4662c5910bb98b75eb3e3334e2e
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-05 03:27:32 -0400

    migrate create_valid_hanzi.py to python 3

M	data/db/android/README
M	data/db/android/create_valid_hanzi.py
M	data/db/android/valid_hanzi.py

commit 92f3d9e0e99098cbf8c1923eed29ec6d203fb38b
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-05 02:57:35 -0400

    fix gitignore

M	.gitignore
A	scripts/.gitignore
M	setup/.gitignore
M	src/.gitignore

commit 86316ab613e23e11334a20136985265ccd4d26d1
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-05 02:53:25 -0400

    move make targets for ZhConversion to scripts dir

M	Makefile.am
M	configure.ac
A	scripts/Makefile.am
M	scripts/update-simptrad-table.py
M	src/Makefile.am

commit 44d0d909e023429c2c1367539038fe5fb6beffed
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-05 01:44:47 -0400

    update PYSimpTradConverterTable.h

M	src/PYSimpTradConverterTable.h

commit 353530b6502d4027d7af8e4b43f1869e1ec51159
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-05 01:43:33 -0400

    fix update-simptrad-table.py compatibility

M	scripts/update-simptrad-table.py

commit 3fe89d77bff39c23c9ad72843fc71035faf7d0c7
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-05 01:23:44 -0400

    update ZhConversion.php url in Makefile

M	src/Makefile.am

commit 45a8d8f5a4b438c377a82af0a616280287eb1b1b
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-05 01:09:02 -0400

    remove gensimptradtable.py

D	scripts/gensimptradtable.py
D	scripts/sctc.py

commit c544f22f1fe09d56e0e014613172ae887099ebf7
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-05 01:00:55 -0400

    migrate genpuncttable.py to python 3

M	scripts/genpuncttable.py

commit 698498b8da71d9ba0f770de418b9c361779857fc
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2022-08-04 23:36:50 -0400

    update python version to 3.7

M	configure.ac
M	setup/main2.py

commit c1ff04dea4889988a44cd19b08b49594b3601302
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-06-23 10:01:03 +0800

    Update strokes

M	data/strokes

commit 9c97823ace101bf1b72b848e3c3d317c1fb162be
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-06-13 09:35:29 +0800

    Update strokes

M	data/strokes

commit 35e9bd1812f65a40a067b0271c6bb481b9c6d3c8
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-06-08 11:41:16 +0800

    Fix class ExtEditor

M	src/PYExtEditor.cc

commit 41a395397ef19352504b0d194cd57b9fc01b8209
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-05-30 12:03:44 +0800

    Use check_result macro

M	src/PYLibPinyin.cc
M	src/PYPLibPinyinCandidates.cc
M	src/PYPunctEditor.cc
M	src/PYUtil.h

commit a8def492d1c7c1b4e25f4bd23378c57139829f43
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-05-27 11:17:32 +0800

    Write check_result macro

M	src/PYUtil.h

commit 11a75d2429760bdc291bf82e385110f418b14610
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-05-19 09:46:31 +0800

    Fixes class PunctEditor

M	src/PYPunctEditor.cc

commit 109de24d222478edaae4cadcdf31e0aec89b44ee
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-05-06 16:38:48 +0800

    Update make-check.yml

M	.github/workflows/make-check.yml

commit 37860481044afd21821988240878642bdec6d796
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2022-04-13 09:16:59 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (167 of 167 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/de/

M	po/de.po

commit 34efdfb37685d7ea2f2f9a9221046890bc06c2dd
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2022-04-13 09:16:58 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (167 of 167 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/uk/

M	po/uk.po

commit dc771372714c4139812a9c9d16e90346ea4521d8
Author: Peng Wu <pwu@redhat.com>
Date:   2022-04-13 09:16:58 +0200

    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (167 of 167 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/

M	po/zh_CN.po

commit 5e4814bb606baab72189bfb74f7c38c1a6133c3a
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-12 15:08:38 +0800

    Update po files

M	po/ca.po
M	po/cs.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/pt_BR.po
M	po/ru.po
M	po/si.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 5d2e7c439dc13120f4409227e844c0e052fd29b1
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-12 15:07:34 +0800

    Update ibus-libpinyin.pot

M	po/ibus-libpinyin.pot

commit 695aeb7c3b40320d54eba3df9495f18dc43ad5b1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2022-04-05 09:17:07 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (166 of 166 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/de/

M	po/de.po

commit 8d33534f3139c08f44ecc049472494f12b2d4add
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2022-04-05 09:17:07 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (166 of 166 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/uk/

M	po/uk.po

commit 1feb1044284743396646cdd651d6058bbb447a5c
Author: Peng Wu <pwu@redhat.com>
Date:   2022-04-05 09:17:07 +0200

    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (166 of 166 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/

M	po/zh_CN.po

commit 9740c48016cdb6dc9ee62ea85b40629c0c5c0784
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-12 13:48:15 +0800

    Update main2.py

M	setup/main2.py

commit f4d3dae36707036c2e8fad7ec69f58836d0943b0
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-12 13:37:10 +0800

    Update ibus-libpinyin-preferences.ui

M	setup/ibus-libpinyin-preferences.ui

commit a029555de877591a4e6502c01d4a338fe9c79591
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-12 12:15:03 +0800

    Add double-pinyin-show-raw option

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc
M	src/PYPDoublePinyinEditor.cc

commit 337c1494d01365fca7d35bd67cb471bdcb9f8bbd
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-12 11:34:19 +0800

    Update com.github.libpinyin.ibus-libpinyin.gschema.xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit 03381c95d8c4a4958e1f0d7a3760a0ee71e8be55
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-11 15:37:08 +0800

    Update main2.py

M	setup/main2.py

commit 3501b7d64c79a08746dc81fe2dfe0605414cd332
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-11 15:34:46 +0800

    Update ibus-libpinyin-preferences.ui

M	setup/ibus-libpinyin-preferences.ui

commit eb8a420dbe6f5589d89ea8c50d218a625a3de406
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-11 15:30:38 +0800

    Rename show-suggestion option to suggestion-candidate option

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPBopomofoEngine.cc
M	src/PYPConfig.cc
M	src/PYPPinyinEngine.cc

commit 701dbb101164f608b86354960a5e4d258eed390b
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-11 15:17:54 +0800

    Update com.github.libpinyin.ibus-libpinyin.gschema.xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit bfe728057bbb84fd36b4f3867aebb8f4a16f51e2
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-11 15:14:53 +0800

    Update main2.py

M	setup/main2.py

commit 01e300d239182e21fc6ad3ac60057dd08b2312ba
Author: Peng Wu <alexepico@gmail.com>
Date:   2022-04-11 15:06:08 +0800

    Update ibus-libpinyin-preferences.ui
[--snip--]
